libkim-api-v2-dev_2.0~beta2.gita734d1-3_amd64.deb


Advertisement

Description

libkim-api-v2-dev - Development files for KIM-API

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libkim-api-v2-dev_2.0~beta2.gita734d1-3_amd64.deb
Package name libkim-api-v2-dev
Package version 2.0~beta2.gita734d1
Package release 3
Package architecture amd64
Package type deb
Category devel::library libdevel role::devel-lib
Homepage https://openkim.org
License -
Maintainer Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Download size 54.69 KB
Installed size 268.00 KB
The KIM API is an Application Programming Interface for atomistic simulations.
The API provides a standard for exchanging information between atomistic
simulation codes (molecular dynamics, molecular statics, lattice dynamics,
Monte Carlo, etc.) and interatomic models (potentials or force fields).
It also includes a set of library routines for using the API with
bindings for:
FORTRAN 77, Fortran 90/95, Fortran 2003
C, C++
Atomistic simulation codes that support the KIM API work seamlessly with the
KIM-compliant interatomic models (KIM Models) distributed on this website.
The interface is computationally efficient and often requires relatively minor
changes to existing codes.
This package contains the development files (headers and documentation) for
KIM-API.

Alternatives

Package Version Architecture Repository
libkim-api-v2-dev_2.0~beta2.gita734d1-3_i386.deb 2.0~beta2.gita734d1 i386 Debian Main
libkim-api-v2-dev - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libkim-api-v2-2 = 2.0~beta2.gita734d1-3
libkim-api-v2-fortran = 2.0~beta2.gita734d1-3
libkim-api-v2-headers = 2.0~beta2.gita734d1-3
libstdc++6 >= 5.2

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libkim-api-v2-dev_2.0~beta2.gita734d1-3_amd64.deb
Source Package kim-api

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libkim-api-v2-dev deb package:
    # sudo apt-get install libkim-api-v2-dev

Files

Path
/usr/bin/kim-api-v2-collections-management
/usr/lib/libexec/kim-api-v2/kim-api-v2-collections-info
/usr/lib/libexec/kim-api-v2/kim-api-v2-simulator-model
/usr/lib/x86_64-linux-gnu/libkim-api-v2.so
/usr/lib/x86_64-linux-gnu/pkgconfig/libkim-api-v2.pc
/usr/share/bash-completion/completions/kim-api-v2-completion.bash
/usr/share/doc/libkim-api-v2-dev/changelog.Debian.gz
/usr/share/doc/libkim-api-v2-dev/copyright
/usr/share/kim-api-v2/cmake/kim-api-v2-config-version.cmake
/usr/share/kim-api-v2/cmake/kim-api-v2-config.cmake
/usr/share/kim-api-v2/cmake/model-driver-info.txt.in
/usr/share/kim-api-v2/cmake/model-driver-wrapper.cpp.in
/usr/share/kim-api-v2/cmake/parameterized-model-info.txt.in
/usr/share/kim-api-v2/cmake/parameterized-model-wrapper.cpp.in
/usr/share/kim-api-v2/cmake/simulator-model-info.txt.in
/usr/share/kim-api-v2/cmake/simulator-model-wrapper.cpp.in
/usr/share/kim-api-v2/cmake/stand-alone-model-info.txt.in
/usr/share/kim-api-v2/cmake/stand-alone-model-wrapper.cpp.in
/usr/share/kim-api-v2/cmake/Modules/FindKIM-API-V2.cmake
/usr/share/man/man2/kim-api-v2-collections-management.24.gz

Changelog

2019-02-09 - Anton Gladky <gladk@debian.org>
kim-api (2.0~beta2.gita734d1-3) unstable; urgency=medium
* [f9aa137] Use gfortran for autopkgtests
2019-02-09 - Anton Gladky <gladk@debian.org>
kim-api (2.0~beta2.gita734d1-2) unstable; urgency=medium
* [00e2fff] Fix libexec path for the collections-management
* [17f74c2] Use gfortran instead of fortran-compiler. (Closes: #921786)
* [7abed38] Set Standards-Version to 4.3.0
2018-08-24 - Anton Gladky <gladk@debian.org>
kim-api (2.0~beta2.gita734d1-1) unstable; urgency=medium
* Initial packaging. (Closes: #907200)

See Also

Package Description
libkim-api-v2-doc_2.0~beta2.gita734d1-3_all.deb Documentation and examples for KIM-API
libkim-api-v2-fortran_2.0~beta2.gita734d1-3_amd64.deb Fortran files for KIM-API
libkim-api-v2-headers_2.0~beta2.gita734d1-3_all.deb Header files for KIM-API
libkim-api-v2-models_2.0~beta2.gita734d1-3_amd64.deb Models and model-drivers for KIM-API
libkimap4_4.14.10-11_amd64.deb library for handling IMAP data
libkimproxy4_4.14.38-3_amd64.deb Instant Messaging Interface Library for the KDE Platform
libkinosearch1-perl_1.01-4+b3_amd64.deb Perl library providing search engine features
libkio5_4.14.38-3_amd64.deb Network-enabled File Management Library for the KDE Platform
libkiokudb-backend-dbi-perl_1.23-2_all.deb DBI backend for KiokuDB
libkiokudb-perl_0.57-1_all.deb Perl module for object persistence
libkiokux-model-perl_0.02-1_all.deb simple application specific wrapper for KiokuDB
libkitchensink-clojure_2.3.0-2_all.deb utility library for Puppet Labs clojure projects
libkiten-dev_17.08.3-1_amd64.deb development files for the Kiten Japanese reference libraries
libkiten5_17.08.3-1_amd64.deb libraries for the Kiten Japanese reference and study aid
libkiwix-dev_3.1.1-1_amd64.deb library of common code for Kiwix (development)
Advertisement
Advertisement